<?php
session_start();
$ruta="../../../";
include_once($ruta."class/garante.php");
$garante=new garante;
include_once($ruta."funciones/funciones.php");
extract($_POST);

$valoresG=array(
"estado"=>"'0'"
); 
if($garante->actualizar($valoresG,$idgarante))
{
    ?>
	<script type="text/javascript">
	swal({
			title: "EXITO",
			text: "Baja realizado al garante",
			type: "success",
			showCancelButton: false,
			confirmButtonColor: "#28e29e",
			confirmButtonText: "OK",
			closeOnConfirm: false
          }, function () {
			location.reload();
          });
		</script>
	<?php	
									
}else{
	?>
		<script type="text/javascript">
			sweetAlert("Error", "No registrado", "error");
		</script>
	<?php
}












if ($idflag==1) 
{
	$existe=$persona->mostrarTodo("carnet='".$idcarnet."'");
	$idnombre=strtoupper($idnombre);
	$idpaterno=strtoupper($idpaterno);
	$idmaterno=strtoupper($idmaterno);
	$idocupacion=strtoupper($idocupacion);
	if (count($existe)==0){
		$valores=array(
			"carnet"=>"'$idcarnet'",
			"expedido"=>"'$idexp'",
			"nombre"=>"'$idnombre'",
			"paterno"=>"'$idpaterno'",
			"materno"=>"'$idmaterno'",
			"nacimiento"=>"'$idnacimiento'",
			"email"=>"'$idemail'",
			"celular"=>"'$idcelular'",
			"idsexo"=>"'$idsexo'",
			"ocupacion"=>"'$idocupacion'",
			"tipopersona"=>"'CLIENTE'"
		 );	
		if($persona->insertar($valores))
		{
			$dpersona=$persona->mostrarUltimo("carnet='".$idcarnet."'");
			$idp=$dpersona['idpersona'];

			$valoresD=array(
			    "idpersona"=>"'$idp'",
			    "idbarrio"=>"'$idzona'",
			    "nombre"=>"'$iddireccion'",
			    "telefono"=>"'$idfono'"
			  ); 
					if($domicilio->insertar($valoresD))
					{
							$valoresG=array(
							    "idcredito"=>"'$idcredito'",
							    "idpersona"=>"'$idp'",
							    "estado"=>"'1'"
							  ); 
						   $garante->insertar($valoresG);	
						    ?>
							<script type="text/javascript">
							swal({
									title: "EXITO",
									text: "Se Asigno garante con exito",
									type: "success",
									showCancelButton: false,
									confirmButtonColor: "#28e29e",
									confirmButtonText: "OK",
									closeOnConfirm: false
						          }, function () {
									location.reload();
						          });
								</script>
							<?php	
															
						}else{
							?>
								<script type="text/javascript">
									sweetAlert("Error", "No registrado", "error");
								</script>
							<?php
						}
			    
			
		}else{
			?>
				<script type="text/javascript">
					sweetAlert("Error", "No se pudo realizar la operacion", "error");
				</script>
			<?php
		 }
	 }else{
		?>
			<script type="text/javascript">
				sweetAlert("Error", "La persona ya se encuentra registrada!", "error");
			</script>
		<?php
	}
}
if ($idflag==2) 
{
	?>
			<script type="text/javascript">
			swal({
				title: "ERROR !!!",
				text: "Ya es garante de otro cliente, revisar o intenete con otro nro de carnet",
				type: "warning",
				showCancelButton: false,
				confirmButtonColor: "#28e29e",
				confirmButtonText: "OK",
				closeOnConfirm: false
	          }, function () {
				location.reload();
	          });
			</script>
		<?php
}
if ($idflag==3) 
{

	$valores=array(
			"carnet"=>"'$idcarnet'",
			"expedido"=>"'$idexp'",
			"nombre"=>"'$idnombre'",
			"paterno"=>"'$idpaterno'",
			"materno"=>"'$idmaterno'",
			"nacimiento"=>"'$idnacimiento'",
			"email"=>"'$idemail'",
			"celular"=>"'$idcelular'",
			"idsexo"=>"'$idsexo'",
			"ocupacion"=>"'$idocupacion'",
			"tipopersona"=>"'CLIENTE'"
		 );	
    if($persona->actualizar($valores,$idpersonaImp))
	{
		$dom=$domicilio->mostrarUltimo("idpersona=".$idpersonaImp);
		if (count($dom)>0) 
		{
			$valoresD=array(
			    //"idpersona"=>"'$idpersonaImp'",
			    "idbarrio"=>"'$idzona'",
			    "nombre"=>"'$iddireccion'",
			    "telefono"=>"'$idfono'"
			  ); 
			$domicilio->actualizar($valoresD,$dom['iddomicilio']);
			
		}else{
			$valoresD=array(
			    "idpersona"=>"'$idpersonaImp'",
			    "idbarrio"=>"'$idzona'",
			    "nombre"=>"'$iddireccion'",
			    "telefono"=>"'$idfono'"
			  ); 
			$domicilio->insertar($valoresD);
		}
		$valoresG=array(
		    "idcredito"=>"'$idcredito'",
		    "idpersona"=>"'$idpersonaImp'",
		    "estado"=>"'1'"
		  ); 
	    $garante->insertar($valoresG);
	    ?>
		<script type="text/javascript">
		swal({
				title: "EXITO",
				text: "Se asigno garante con exito",
				type: "success",
				showCancelButton: false,
				confirmButtonColor: "#28e29e",
				confirmButtonText: "OK",
				closeOnConfirm: false
	          }, function () {
				location.reload();
	          });
			</script>
		<?php	
	}else{
		sweetAlert("Error", "NO SE REGISTRO", "error");
	}


}
?>